import time
from Tkinter import *
#00b0f0
import RPi.GPIO as GPIO
GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)

GPIO.setup(40, GPIO.OUT)# set GPIO 40 as output for red led
GPIO.setup(41, GPIO.OUT)# set GPIO 41 as output for red led
GPIO.setup(34, GPIO.OUT)# set GPIO 34 as output for red led

red = GPIO.PWM(40, 100)      # create object red for PWM on port 40 at 100 Hertz
red.start(0)
blue = GPIO.PWM(41, 100)      # create object red for PWM on port 41 at 100 Hertz
blue.start(0)
green = GPIO.PWM(34, 100)      # create object red for PWM on port 34 at 100 Hertz
green.start(0)

class ABC(Frame):
    def __init__(self, master=None):
        Frame.__init__(self, master, background="#00b0f0")
        self.pack(fill=BOTH, expand=1)  
        
def red_show(value=None):
    r = w1.get()
    red.ChangeDutyCycle(r)
                
def green_show(value=None):
    g = w2.get()
    green.ChangeDutyCycle(g)
                
def blue_show(value=None):
    b = w3.get()
    blue.ChangeDutyCycle(b)
        
root = Tk()
app = ABC(master=root)
app.master.title("PWM sample")
root.geometry("250x220+0+0")

w1 = Scale(app, from_=0, to=100, orient = HORIZONTAL, bg="red", activebackground="#990000", length=140,borderwidth=2,relief=SOLID, sliderrelief=SOLID, label="Red LED",command=red_show)
w1.place(relx=0.5, rely=0.15, anchor="c")

w2 = Scale(app, from_=0, to=100, orient = HORIZONTAL, bg="green", activebackground="#004c00", length=140,borderwidth=2,relief=SOLID, sliderrelief=SOLID, label="Green LED",command=green_show)
w2.place(relx=0.5, rely=0.42, anchor="c")

w3 = Scale(app, from_=0, to=100, orient = HORIZONTAL,bg="blue", activebackground="#000099", length=140,borderwidth=2,relief=SOLID, sliderrelief=SOLID, label="Blue LED",command=blue_show)
w3.place(relx=0.5, rely=0.685, anchor="c")

quitButton = Button(app, text="QUIT", bg="white", activebackground = "white", width=15,borderwidth=2,relief=SOLID, command=exit)
quitButton.pack(side=BOTTOM)

app.mainloop()
